Package weka.core.pmml.jaxbbindings

# Class Header

java.lang.Object
weka.core.pmml.jaxbbindings.Header

public class Header extends Object

Java class for Header element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Header">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Application" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Annotation" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Timestamp" minOccurs="0"/>
             </sequence>
             <attribute name="copyright" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="description" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Header()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Annotation>`
  `getAnnotation()`
  Gets the value of the annotation property.
  `Application`
  `getApplication()`
  Gets the value of the application property.
  `String`
  `getCopyright()`
  Gets the value of the copyright property.
  `String`
  `getDescription()`
  Gets the value of the description property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Timestamp`
  `getTimestamp()`
  Gets the value of the timestamp property.
  `void`
  `setApplication(Application value)`
  Sets the value of the application property.
  `void`
  `setCopyright(String value)`
  Sets the value of the copyright property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setTimestamp(Timestamp value)`
  Sets the value of the timestamp property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Header

    public Header()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getApplication

    public Application getApplication()
    Gets the value of the application property.
    Returns:
      possible object is `Application`

  - ### setApplication

    public void setApplication(Application value)
    Sets the value of the application property.
    Parameters:
      `value` - allowed object is `Application`

  - ### getAnnotation

    public List<Annotation> getAnnotation()
    Gets the value of the annotation property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the annotation property.

    For example, to add a new item, do as follows:

            getAnnotation().add(newItem);

    Objects of the following type(s) are allowed in the list `Annotation`

  - ### getTimestamp

    public Timestamp getTimestamp()
    Gets the value of the timestamp property.
    Returns:
      possible object is `Timestamp`

  - ### setTimestamp

    public void setTimestamp(Timestamp value)
    Sets the value of the timestamp property.
    Parameters:
      `value` - allowed object is `Timestamp`

  - ### getCopyright

    public String getCopyright()
    Gets the value of the copyright property.
    Returns:
      possible object is `String`

  - ### setCopyright

    public void setCopyright(String value)
    Sets the value of the copyright property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`